Create a bank account Run in API Explorer
Ask AI
Body
-
The UUIDs of the accounts who should own the bank account. These must only be client accounts.
-
The friendly name for the bank account.
Maximum length is
255. -
The name of the bank account holder(s) as it appears on statements
Maximum length is
255. -
The bank account number.
-
The bank account sort code
POST
/api/v2/bank-accounts
curl \
--request POST 'https://api.plannrcrm.com/api/v2/bank-accounts' \
--header "Authorization: Bearer $ACCESS_TOKEN" \
--header "Content-Type: application/json" \
--header "X-PLANNR-ACCOUNT-UUID: {YOUR_PLANNR_ACCOUNT_UUID}" \
--data '{
"account_uuids": [
"c8b05989-d311-47ca-b01b-0921d6a10a4f",
"8a42404f-3c76-4593-84fa-17afb016d814",
"e4089ddd-37e9-4408-9a33-4d1c3c081184"
],
"account_name": "My Savings Account",
"account_holders": "Mr John A Smith & Mrs Jane Smith",
"account_number": "01234567",
"sort_code": "012345"
}'
Request examples
# Headers
X-PLANNR-ACCOUNT-UUID: {YOUR_PLANNR_ACCOUNT_UUID}
# Payload
{
"account_uuids": [
"c8b05989-d311-47ca-b01b-0921d6a10a4f",
"8a42404f-3c76-4593-84fa-17afb016d814",
"e4089ddd-37e9-4408-9a33-4d1c3c081184"
],
"account_name": "My Savings Account",
"account_holders": "Mr John A Smith & Mrs Jane Smith",
"account_number": "01234567",
"sort_code": "012345"
}
Response examples (200)
{
"uuid": "eb87ea30-54e3-4706-97c5-20a2a1c27675",
"created_at": "2026-10-07T23:35:47+01:00",
"updated_at": "2026-10-07T23:35:47+01:00",
"account_name": "Savings Account",
"account_holders": "Mr John A Smith",
"account_number": "12345678",
"sort_code": "123456",
"accounts": {
"uuid": "d7080c64-ecd5-4c0a-83de-31a11f06bd9c",
"created_at": "2026-10-07T23:35:47+01:00",
"updated_at": "2026-10-07T23:35:47+01:00",
"type": "client",
"role": "client",
"first_name": "Gareth",
"last_name": "Thompson",
"name": "Gareth Thompson",
"email": "gareth@codepotato.co.uk",
"photo_url": "https://eu.ui-avatars.com/api/?name=Gareth+Thompson",
"external_references": {
"uuid": "e9fe641e-871e-4c6a-bd37-38df749bc90b",
"created_at": "2026-10-07T23:35:50+01:00",
"updated_at": "2026-10-07T23:35:50+01:00",
"third_party": "nucleus",
"reference": "AB123456"
}
}
}
Response examples (422)
{
"message": "The given data was invalid.",
"errors": {
"field": [
"The field is invalid."
]
}
}